#pragma once

#include "Camera.h"
#include "Framebuffer3D.h"
#include "Shader.h"
#include "VertexBuffer.h"

class MCRenderer {
  public:
    MCRenderer();

    void render(float delta);

  private:
    Shader render_shader;
    Shader noise_shader;

    Framebuffer3D noise;
    VertexBuffer vertex_rectangle;

    VertexBuffer mc_points;

    Camera camera;

    float time_passed = 0.0;

    float *rectangle_data;
};
